Bug 1553424 - FFU: Add support for panko service upgrade
Summary: FFU: Add support for panko service upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Sofer Athlan-Guyot
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 20:31 UTC by Marius Cornea
Modified: 2018-06-27 13:35 UTC (History)
11 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.2-0.20180414062830.5f869f2.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:35:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:35:54 UTC

Description Marius Cornea 2018-03-08 20:31:09 UTC
Description of problem:

This BZ is to track the inclusion of https://review.openstack.org/#/c/533764/ into the downstream build.

Comment 2 mathieu bultel 2018-04-04 09:30:55 UTC
Hi Sofer,

Can you remove the workflow -1 on the cherry pick when you are ok.

Thx

Comment 3 Sofer Athlan-Guyot 2018-04-05 13:26:16 UTC
Done and added the cherry pick from ... now that master is merged.

Comment 4 Sofer Athlan-Guyot 2018-04-05 13:28:37 UTC
Just a note, the two patches are the commit and its revert as it was shown to cause ffu to fail.  We have to test if panko installation as a container in the osp13 deployment is enough.

Comment 5 mathieu bultel 2018-04-11 11:00:27 UTC
Maria, can you set the PM ack on it please.
Thank you

Comment 6 Marius Cornea 2018-04-19 15:44:47 UTC
Moving this to TestOnly as the revert is in the latest build so it only needs verification that post upgrade Panko works as expected.

Comment 9 Marius Cornea 2018-05-04 20:17:07 UTC
We can see the panko_api container created post upgrade:

[root@controller-0 ~]# docker ps | grep panko
55757845ae4b        rhos-qe-mirror-rdu2.usersys.redhat.com:5000/rhosp13/openstack-panko-api:2018-05-03.2                   "kolla_start"            46 minutes ago      Up 46 minutes (healthy)                       panko_api

Comment 12 errata-xmlrpc 2018-06-27 13:35:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.